import data from './data.csv';

// console.log(JSON.stringify(Object.keys(data[0])));

const quantitativeAttributes = [
  // 'Yr',
  // 'Mn',
  // 'Date',
  // 'Date Excel',
  'CO2',
  'seasonally adjusted',
  'fit',
  'seasonally adjusted fit',
  'CO2 filled',
  'seasonally adjusted filled',
  // 'Sta',
];

// Reference row
// {
//   "Yr": "1958",
//   "Mn": " 01",
//   "Date": "   21200",
//   "Date Excel": "  1958.0411",
//   "CO2": "  -99.99",
//   "seasonally adjusted": "   -99.99",
//   "fit": "     -99.99",
//   "seasonally adjusted fit": "   -99.99",
//   "CO2 filled": "     -99.99",
//   "seasonally adjusted filled": "   -99.99",
//   "Sta": " MLO"
// }
for (const d of data) {
  const year = +d.Yr;
  const month = +d.Mn.trim();
  const monthIndex = month - 1;
  // Incorrect: This parses the time in the viewer's time zone
  // d.date = new Date(year, monthIndex);
  // Correct: Parse UTC and Adjust for Hawaii time
  d.date = new Date(Date.UTC(year, monthIndex));
  d.date.setHours(-10);

  // This value represents missing data.
  const sentinelValue = -99.99;

  for (const key of quantitativeAttributes) {
    const value = +d[key];
    d[key] = value === sentinelValue ? NaN : value;
  }
}

export const main = (container) => {
  const fontSize = 27;

  const json = JSON.stringify(data[0], null, 2);

  container.innerHTML = `
    <pre style="font-size: ${fontSize}px;">${json}</pre>
  `;
};

export { data };
